<Drconfused_MotorTools_Upgrade>
	<!-- Adding attachments to the auger and chainsaw as motorTools -->
	<!-- Need to add new tag to chainsaw and auger possibly to impact wrench and nail gun -->
	<!-- 	Add damage to quality level for further auger/chainsaw awesomness
		<append xpath="/items/item/effect_group[@name='Base Effects']">
			<passive_effect name="EntityDamage" operation="perc_add" value="0,1" tier="1,6"/>
			<passive_effect name="BlockDamage" operation="perc_add" value="0,2" tier="1,6"/>
		</append>
	-->
<!-- Auger update -->
	<append xpath="/items/item[@name='meleeToolAuger']/property[@name='Tags']/@value">,motorTools1,gasTank1,motorToolReach,diamondBlade1</append>

	<append xpath="/items/item[@name='meleeToolAuger']/effect_group[@name='Base Effects']">
		<passive_effect name="EntityDamage" operation="perc_add" value="0,1" tier="1,6"/>
		<passive_effect name="BlockDamage" operation="perc_add" value="0,2" tier="1,6"/>
	</append>
	
	<set xpath="/items/item[@name='meleeToolAuger']/effect_group/passive_effect[@name='ModSlots' and @operation='base_set']/@value">3,8</set>

<!-- Chainsaw update -->
	<append xpath="/items/item[@name='meleeToolChainsaw']/property[@name='Tags']/@value">,motorTools1,gasTank1,motorToolReach</append>

	<append xpath="/items/item[@name='meleeToolChainsaw']/effect_group[@name='Base Effects']">
		<passive_effect name="EntityDamage" operation="perc_add" value="0,1" tier="1,6"/>
		<passive_effect name="BlockDamage" operation="perc_add" value="0,2" tier="1,6"/>
	</append>

	<set xpath="/items/item[@name='meleeToolChainsaw']/effect_group/passive_effect[@name='ModSlots' and @operation='base_set']/@value">3,8</set>

<!-- Nailgun update -->
	<!-- Place holder for any changes not in a mod	<append xpath="/items/item[@name='gunToolNailgun']/property[@name='Tags']/@value">
	-->


<!-- Auger and Chainsaw schematics and attachments -->
<!-- ENGINE TURBO -->
<append xpath="/items">
	<item name="modEngineTurbo1Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsTurboCharger_schematic"/>
		<property name="DescriptionKey" value="schematicMaster3Desc"/>
		<property name="EconomicValue" value="250"/>
	</item>
	<item name="modEngineTurbo2Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsTurboCharger_schematic"/>
		<property name="DescriptionKey" value="schematicMaster4Desc"/>
		<property name="EconomicValue" value="500"/>
	</item>
	<item name="modEngineTurbo3Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsTurboCharger_schematic"/>
		<property name="DescriptionKey" value="schematicMaster5Desc"/>
		<property name="EconomicValue" value="750"/>
	</item>
	
<!-- GAS TANK -->
	<item name="modGasTank1Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="JerryCans1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster2Desc"/>
		<property name="EconomicValue" value="250"/>
	</item>
	<item name="modGasTank2Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="JerryCans1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster3Desc"/>
		<property name="EconomicValue" value="500"/>
	</item>
	<item name="modGasTank3Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="JerryCans1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster5Desc"/>
		<property name="EconomicValue" value="750"/>
	</item>

<!-- 	RESERVE GAS TANK	-->
	<item name="modReserveGasTank1Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsReserveGasTank_schematic"/>
		<property name="DescriptionKey" value="schematicMaster3Desc"/>
		<property name="EconomicValue" value="250"/>
	</item>
	<item name="modReserveGasTank2Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsReserveGasTank_schematic"/>
		<property name="DescriptionKey" value="schematicMaster4Desc"/>
		<property name="EconomicValue" value="500"/>
	</item>
	<item name="modReserveGasTank3Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsReserveGasTank_schematic"/>
		<property name="DescriptionKey" value="schematicMaster5Desc"/>
		<property name="EconomicValue" value="750"/>
	</item>
	
<!-- BLADE EXTENSION -->	
	<item name="modMotorToolExtension1Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsAugerBlade1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster2Desc"/>
		<property name="EconomicValue" value="250"/>
	</item>	
	<item name="modMotorToolExtension2Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsAugerBlade1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster3Desc"/>
		<property name="EconomicValue" value="500"/>
	</item>		
	<item name="modMotorToolExtension3Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsAugerBlade1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster5Desc"/>
		<property name="EconomicValue" value="750"/>
	</item>	
	
<!-- DIAMOND TIP AUGER -->
	<item name="modDiamondTip1Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsAugerBlade1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster2Desc"/>
		<property name="EconomicValue" value="250"/>
	</item>	
	<item name="modDiamondTip2Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsAugerBlade1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster3Desc"/>
		<property name="EconomicValue" value="500"/>
	</item>		
	<item name="modDiamondTip3Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsAugerBlade1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster5Desc"/>
		<property name="EconomicValue" value="750"/>
	</item>	

<!-- BETTER HANDLES -->
	<!-- removing 2 entries till I know its worth having them in 
	<item name="modBetterHandles1Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="EconomicValue" value="250"/>
	</item>	
	<item name="modBetterHandles2Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="EconomicValue" value="500"/>
	</item>	-->
	<item name="modBetterHandlesSchematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsAugerHandles1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster2Desc"/>
		<property name="EconomicValue" value="500"/>
	</item>	
	
<!-- MOTOR TOOL SILENCER -->
	<item name="modMotorToolSilencerSchematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsSoundDampnerField1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster5Desc"/>
		<property name="EconomicValue" value="750"/>
	</item>	
	
<!-- CHAINSAW TEMPERED FRAME -->
	<item name="modChainsawTemperedFrame1Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsChainsawBody1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster3Desc"/>
		<property name="EconomicValue" value="250"/>
	</item>		
	<item name="modChainsawTemperedFrame2Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsChainsawBody1_schematic"/>
		<property name="DescriptionKey" value="schematicMaster4Desc"/>
		<property name="EconomicValue" value="500"/>
	</item>	
	<item name="modChainsawTemperedFrame3Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsChainsawBody1_schematic"/>
		<property name="EconomicValue" value="500"/>
		<property name="DescriptionKey" value="schematicMaster5Desc"/>
	</item>	

<!-- Quicker Fixer Upper -->	
	<item name="Quicker Fixer Upper Schematic">
		<property name="Extends" value="schematicMaster"/>
		<property name="CustomIcon" value="DrsQuickerFixerUpper_Schematic"/>
		<property name="DescriptionKey" value="schematicMaster5Desc"/>
		<property name="EconomicValue" value="750"/>
	</item>	


<item name="Quicker Fixer Upper">
	<property name="Tags" value="tool,nailgun,sideAttachments,selfLoading"/>
	<property name="DisplayType" value="meleeRepairTool"/>
	<property name="HoldType" value="37"/>
	<property name="CustomIcon" value="Drs_chipped_nailGun"/>
	<property name="Meshfile" value="Items/Tools/nailgunPrefab"/>
	<property name="Material" value="MmechanicalParts"/> <property name="Weight" value="27"/>
	<property name="RepairTools" value="resourceRepairKit"/>
	<property name="DegradationBreaksAfter" value="false"/>
	<property name="SoundJammed" value="weapon_jam"/>
	<property name="CrosshairUpAfterShot" value="true"/>
	<property class="Action0">
		<property name="Class" value="Launcher"/>
		<property name="Hitmask_override" value="Arrow"/>
		<property name="Delay" value="0.3"/> 
		<property name="Magazine_items" value="resourceNail"/>
		<property name="Instantiate_on_load" value="false"/>
		<property name="Reload_time" value="2"/>
		<property name="Sound_start" value="nailgun_fire"/>
		<property name="Particles_muzzle_fire" value="nailgunfire"/>
		<property name="Sound_repeat" value=""/>
		<property name="Sound_end" value=""/>
		<property name="Sound_empty" value="weapon_empty"/>
		<property name="Sound_reload" value="nailgun_reload"/>
	</property>
	<property class="Action1">
		<property name="Class" value="Repair"/>
		<property name="Delay" value="0.3"/> <!-- Repair actions still need the delay amount -->
		<property name="Repair_amount" value="250"/>
		<property name="Upgrade_hit_offset" value="-5"/>
		<property name="Repair_action_sound" value="nailgun_fire"/>
		<property name="Upgrade_action_sound" value="nailgun_fire"/>
		<property name="Allowed_upgrade_items" value="resourceWood,resourceClayLump,resourceSnowBall,resourceScrapIron,resourceForgedIron,resourceForgedSteel,resourceConcreteMix,resourceCobblestones,resourceYuccaFibers,resourceNail"/>
	</property>
	<property name="Group" value="Tools/Traps"/>
	<property name="ActionSkillGroup" value="Construction Tools"/>
	<property name="CraftingSkillGroup" value="craftSkillScience"/>
	<property name="RepairExpMultiplier" value="10.8"/>
	<property name="EconomicValue" value="1000"/>
	<effect_group name="Base Effects"> <!-- gunToolNailgun -->
		<passive_effect name="DamageFalloffRange" operation="base_set" value="3"/>
		<passive_effect name="MaxRange" operation="base_set" value="10"/>
		<passive_effect name="MagazineSize" operation="base_set" value="500"/>
		<!-- <passive_effect name="ReloadSpeedMultiplier" operation="base_set" value="1"/>  does not work at all on the nailgun -->

		<passive_effect name="SpreadDegreesVertical" operation="base_set" value="1.3"/>
		<passive_effect name="SpreadDegreesHorizontal" operation="base_set" value="1.3"/>
		<passive_effect name="SpreadMultiplierAiming" operation="base_set" value=".4"/>
		<passive_effect name="SpreadMultiplierCrouching" operation="base_set" value=".8"/>
		<passive_effect name="SpreadMultiplierWalking" operation="base_set" value="1.5"/>
		<passive_effect name="SpreadMultiplierRunning" operation="base_set" value="2.2"/>

		<passive_effect name="IncrementalSpreadMultiplier" operation="base_set" value="2"/>
		<passive_effect name="WeaponHandling" operation="base_set" value="0.7"/> <!-- crosshair reset speed -->
		<passive_effect name="RoundsPerMinute" operation="base_set" value="200"/>
		<passive_effect name="BurstRoundCount" operation="base_set" value="1"/>
		<passive_effect name="KickDegreesVertical" operation="base_set" value="-.7,.7"/>
		<passive_effect name="KickDegreesHorizontal" operation="base_set" value="-.6,.6"/>
		<display_value name="dRecoil" value="1" />
		<passive_effect name="DegradationMax" operation="base_set" value="2000,4000" tier="1,6"/>
		<passive_effect name="DegradationPerUse" operation="base_set" value="5" tier="1,6"/>
		<passive_effect name="ModSlots" operation="base_set" value="0,5" tier="1,6"/>
		<passive_effect name="ModPowerBonus" operation="perc_add" value="0.15" tags="EntityDamage"/>
		<passive_effect name="ModPowerBonus" operation="base_add" value="200" tags="EconomicValue"/>
	</effect_group>
</item>	
		
<!-- IMPACT WRENCH of Elucidus -->
	<item name="Impact Wrench">
		<property name="Tags" value="blunt,melee,light,tool,perkStayDown,perkSalvageOperations"/>
		<property name="CustomIcon" value="impactWrench"/>
		<property name="DisplayType" value="meleeRepairTool"/>
		<property name="HoldType" value="37"/>
		<property name="Meshfile" value="Items/Tools/nailgunPrefab"/>
		<property name="TintColor" value="0,80,140"/>
		<property name="Material" value="MmechanicalParts"/> <property name="Weight" value="27"/>
		<property name="RepairTools" value="resourceRepairKit"/>
		<property name="DegradationBreaksAfter" value="false"/>
		<property name="SoundJammed" value="weapon_jam"/>
		<property name="CrosshairUpAfterShot" value="true"/>
		<property name="SoundDestroy" value="metaldestroy1"/>
		<property class="Action0">
			<property name="Class" value="Ranged"/>
			<property name="Hitmask_override" value="Melee"/>
			<property name="UseMeleeCrosshair" value="true"/>
			<property name="Magazine_items" value="ammoGasCan"/>
			<property name="Bullet_material" value="metal"/>
			<property name="Reload_time" value="4.1"/>
			<property name="Single_magazine_usage" value="true"/>
			<property name="Infinite_ammo" value="true"/>
			<property name="Sound_start" value="impactWrench"/>
			<property name="Sound_empty" value="auger_empty"/>
			<property name="Sound_reload" value="auger_reload"/>
			<property name="DamageBonus.wood" value="-0.99"/>
			<property name="DamageBonus.earth" value="-0.99"/>
			<property name="DamageBonus.cloth" value="-0.99"/>
			<property name="DamageBonus.stone" value="-0.99"/>
			<property name="ToolCategory.Disassemble" value="1" param1="1"/>
			<property name="SupportHarvesting" value="true"/>
			<property name="ToolCategory.harvestingTools" value=".5" param1="1"/>
		</property>
		<property class="Action1">
			<property name="Class" value="Repair"/>
			<property name="Delay" value="0.73"/> <!-- Repair actions still need the delay amount -->
			<property name="Repair_amount" value="200"/>
			<property name="Upgrade_hit_offset" value="-3"/>
			<property name="Repair_action_sound" value="impactWrench"/>
			<property name="Upgrade_action_sound" value="impactWrench"/>
			<property name="Allowed_upgrade_items" value="resourceScrapIron,resourceForgedIron,resourceForgedSteel"/>
		</property>
		<effect_group name="Base Effects">
			<passive_effect name="RoundsPerMinute" operation="base_set" value="130"/>
			<passive_effect name="BurstRoundCount" operation="base_set" value="1000"/>
			<passive_effect name="MaxRange" operation="base_set" value="2"/>
			<passive_effect name="BlockRange" operation="base_set" value="5"/>
			<passive_effect name="EntityDamage" operation="base_set" value="12.5"/> <!-- meleeToolWrench -->
			<passive_effect name="BlockDamage" operation="base_set" value="25"/>
<!-- Drconfused added Entity Damage and BlockDamage perc_add -->
			<passive_effect name="EntityDamage" operation="perc_add" value="0,1" tier="1,6"/>
			<passive_effect name="BlockDamage" operation="perc_add" value="0,2" tier="1,6"/>
			<passive_effect name="AttacksPerMinute" operation="base_set" value="200"/> <!-- A16 1.1 -->
			<passive_effect name="HarvestCount" operation="base_set" value="1.5" tags="salvageHarvest"/>
			<passive_effect name="DamageModifier" operation="perc_add" value="-.5" tags="stone"/>
			<passive_effect name="DamageModifier" operation="perc_add" value="1" tags="metal"/>
			<passive_effect name="DamageModifier" operation="perc_add" value="-.8" tags="earth"/>
			<passive_effect name="StaminaLoss" operation="base_set" value="6.2" tags="primary"/>
			<passive_effect name="DegradationMax" operation="base_set" value="2500,6000" tier="1,6"/>
			<passive_effect name="DegradationPerUse" operation="base_set" value="5" tier="1,6"/>
			<passive_effect name="ModSlots" operation="base_set" value="0,5" tier="1,6"/>
			<passive_effect name="ModPowerBonus" operation="perc_add" value=".15" tags="EntityDamage,BlockDamage"/>
			<passive_effect name="ModPowerBonus" operation="base_add" value="200" tags="EconomicValue"/>
		</effect_group>
		<property name="Group" value="Tools/Traps"/>
		<property name="ActionSkillGroup" value="Construction Tools"/>
		<property name="CraftingSkillGroup" value="craftSkillScience"/>
		<property name="RepairExpMultiplier" value="10.8"/>
		<property name="EconomicValue" value="1000"/>
	</item>

<!-- Mayic Drill -->
<item name="mayicDrillGun">
	<property name="Tags" value="blunt,melee,light,tool,perkSalvageOperations"/>
	<property name="DisplayType" value="meleeRepairTool"/>
	<property name="HoldType" value="1"/>
	<property name="Meshfile" value="#@modfolder:Resources/Drill.unity3d?DrillPrefab"/>
	<property name="CustomIcon" value="drill"/>
	<property name="Material" value="Mmetal"/>
	<property name="RepairTools" value="resourceForgedSteel"/>
	<property name="DegradationBreaksAfter" value="false"/>
	<property name="SoundJammed" value="ItemNeedsRepair"/>
	<property name="SoundDestroy" value="metaldestroy1"/>
	<property name="EconomicValue" value="288"/>
			<property name="DescriptionKey" value="mayicDrillGunDesc"/>
	
	<property class="Action0">
		<property name="Class" value="Ranged"/>
		<property name="Hitmask_override" value="Melee"/>
		<property name="UseMeleeCrosshair" value="true"/>
		<property name="Single_magazine_usage" value="true"/>
		<property name="Magazine_items" value="mayicDrillBattery"/>
		<property name="Bullet_material" value="metal"/>
		<property name="Reload_time" value="4.1"/>
		<property name="Sound_start" value="drill1"/>
		<property name="Sound_repeat" value=""/>
		<property name="Sound_end" value=""/>
		<property name="Sound_empty" value="auger_empty"/>
		<property name="Sound_reload" value="Auger_Reload"/>
		<property name="Particles_muzzle_smoke" value="nozzlesmoke_chainsaw"/>
		<!-- <property name="DamageBonus.wood" value="0.25"/> -->
		<!-- <property name="DamageBonus.head" value="3"/> -->
		<property name="SupportHarvesting" value="true"/>
		<property name="ToolCategory.harvestingTools" value=".5" param1="1"/>
		<property name="ToolCategory.Disassemble" value="1" param1="1"/>
		<property name="Sound_harvesting" value="wrench_harvest" param1="metal"/>
		<property name="Particle_harvesting" value="true" param1="metal"/>
	</property>
	<property class="Action1"> <!-- UseAction -->
		<property name="Class" value="Repair"/>
		<property name="Delay" value=".1"/> <!-- Repair actions still need the delay amount -->
		<property name="Repair_amount" value="350"/>
		<property name="Upgrade_hit_offset" value="-2"/>
		<property name="Sound_start" value="repair_block"/>
		<property name="Allowed_upgrade_items" value="resourceWood,resourceClayLump,resourceSnowBall,resourceScrapIron,resourceForgedIron,resourceForgedSteel,resourceConcreteMix,resourceCobblestones,resourceYuccaFibers"/>
	</property>
	<effect_group name="Base Effects"> <!-- meleeToolAuger -->
		<passive_effect name="MaxRange" operation="base_set" value="2.35"/>
		<passive_effect name="BlockRange" operation="base_set" value="7"/>
		<passive_effect name="SphereCastRadius" operation="base_set" value="0.1"/>
		<passive_effect name="DamageFalloffRange" operation="base_set" value="100"/>

		<passive_effect name="EntityDamage" operation="base_set" value="3.5"/>
		<passive_effect name="BlockDamage" operation="base_set" value="22"/>
		<passive_effect name="DamageModifier" operation="perc_add" value="-.9" tags="wood"/>
		<passive_effect name="DamageModifier" operation="perc_add" value="0" tags="metal"/>
		<passive_effect name="DamageModifier" operation="perc_add" value="-.9" tags="stone"/>
		<passive_effect name="DamageModifier" operation="perc_add" value="-.9" tags="earth"/>

		<passive_effect name="RoundsPerMinute" operation="base_set" value="300"/>
		<passive_effect name="BurstRoundCount" operation="base_set" value="1000"/>

		<passive_effect name="MagazineSize" operation="base_set" value="500"/>
		<passive_effect name="ReloadSpeedMultiplier" operation="base_set" value="1"/> <!-- 3.5s -->
		<passive_effect name="ModSlots" operation="base_set" value="0,5" tier="1,6"/>
		<passive_effect name="ModPowerBonus" operation="perc_add" value=".15" tags="EntityDamage,BlockDamage"/>
		<passive_effect name="ModPowerBonus" operation="base_add" value="200" tags="EconomicValue"/>
		<passive_effect name="HarvestCount" operation="base_set" value="1" tags="salvageHarvest"/>

		<passive_effect name="SpreadDegreesVertical" operation="base_set" value="0.5"/>
		<passive_effect name="SpreadDegreesHorizontal" operation="base_set" value="0.5"/>

		<passive_effect name="KickDegreesVertical" operation="base_set" value="-0.35,0.35"/>
		<passive_effect name="KickDegreesHorizontal" operation="base_set" value="-0.35,0.35"/>
		<display_value name="dRecoil" value="1" />
		<passive_effect name="IncrementalSpreadMultiplier" operation="base_set" value="1"/>
		<passive_effect name="WeaponHandling" operation="base_set" value="5"/>

		<passive_effect name="DegradationMax" operation="base_set" value="3000,6000" tier="1,6"/>
		<passive_effect name="DegradationPerUse" operation="base_set" value="3"/>
	</effect_group>
	<property name="Group" value="Tools/Traps"/>
	<property name="ActionSkillGroup" value="Construction Tools"/>
	<property name="CraftingSkillGroup" value="craftSkillTools"/>
	<property name="RepairExpMultiplier" value="5.5"/>
</item>

	<item name="mayicDrillBattery">
			<!-- scrap material -->
			<property name="HoldType" value="45"/>
			<property name="DescriptionKey" value="mayicDrillBatteryDesc"/>
			<property name="Meshfile" value="Items/Misc/sackPrefab"/>
			<property name="CustomIcon" value="drillbat"/>
			<property name="DropMeshfile" value="Items/Misc/sack_droppedPrefab"/>
			<property name="Material" value="Mlead"/>
			<property name="Weight" value="1"/>
			<property name="Stacknumber" value="5000"/>
			<!-- STK resource -->
			<property name="EconomicValue" value="200"/>
			<property name="EconomicBundleSize" value="1"/>
			<property name="Group" value="Tools/Traps,Resources"/>
			<property name="CraftingIngredientExp" value="3"/>
			<property name="CraftingIngredientTime" value="1"/>
	</item>	
	
	
	
</append>
</Drconfused_MotorTools_Upgrade>